console.log('\nSpawning server process...');
const { spawn } = require('child_process');

module.exports = async function (globalConfig, projectConfig) {
  const child = spawn('node', ['esbuild-server.mjs']);

  child.stdout.on('data', (data) => {
    console.log(`${data}`);
  });

  globalThis.__INTEG_TEST_SERVER_PID__ = child.pid;

  child.stderr.on('data', (data) => {
    const str = data.toString();
    console.log('[server]', str);
    if (str.includes(projectConfig.globals.testServerUrl)) {
      setTimeout(resolve, 200);
    }
  });
};
